Last Comment Bug 377603 - [FIX]Inner tables should not get parent style based on outer table pseudo
: [FIX]Inner tables should not get parent style based on outer table pseudo
Status: RESOLVED FIXED
: fixed1.8.0.12, fixed1.8.1.4
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla1.9alpha4
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks: 323656 374297
  Show dependency treegraph
 
Reported: 2007-04-15 22:07 PDT by Boris Zbarsky [:bz]
Modified: 2007-04-23 19:35 PDT (History)
2 users (show)
dveditz: blocking1.8.1.4+
dveditz: blocking1.8.0.12+
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Proposed fix (3.82 KB, patch)
2007-04-15 22:12 PDT, Boris Zbarsky [:bz]
dbaron: review+
dbaron: superreview+
dveditz: approval1.8.1.4+
dveditz: approval1.8.0.12+
Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] 2007-04-15 22:07:21 PDT
The patch for bug 323656 missed a case:  If we're in DoGetParentStyleContextFrame with the frame being an _outer_ table, we're actually trying to get the parent for the _inner_ table.  That means we should use the _inner_ table's pseudo when figuring out pseudos.

Patch and tests coming up.
Comment 1 Boris Zbarsky [:bz] 2007-04-15 22:12:01 PDT
Created attachment 261635 [details] [diff] [review]
Proposed fix
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2007-04-15 22:33:55 PDT
Why are we calling DoGetParentStyleContextFrame with the frame being an outer table, then?
Comment 3 Boris Zbarsky [:bz] 2007-04-15 22:48:56 PDT
That's basically what nsTableFrame::GetParentStyleContextFrame does.

The point is that we need to start at the mParent of the outer table, but skip things based on the pseudo of the inner table.  I suppose we could just make DoGetParentStyleContextFrame take a pseudo as an arg or something, but this seemed simpler...
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2007-04-15 22:52:45 PDT
Comment on attachment 261635 [details] [diff] [review]
Proposed fix

ok, r+sr=dbaron
Comment 5 Boris Zbarsky [:bz] 2007-04-15 22:56:12 PDT
Checked in.
Comment 6 Boris Zbarsky [:bz] 2007-04-17 16:59:30 PDT
Comment on attachment 261635 [details] [diff] [review]
Proposed fix

We need this if we're going to take bug 323656 on branches.
Comment 7 Daniel Veditz [:dveditz] 2007-04-19 10:29:01 PDT
Comment on attachment 261635 [details] [diff] [review]
Proposed fix

approved for 1.8.0.12 and 1.8.1.4, a=dveditz for release-drivers
Comment 8 Boris Zbarsky [:bz] 2007-04-23 19:35:36 PDT
Checked in on the branches.

Note You need to log in before you can comment on or make changes to this bug.